Page MenuHomePhabricator

PHP Warning: Attempted to serialize unserializable builtin class Closure$CirrusSearch\Profile\CompletionSearchProfileRepository::__construct;2912
Closed, ResolvedPublic

Description

Error

Request URL: https://www.mediawiki.org/w/api.php?action=query&format=json&formatversion=2&prop=extracts%7Cpageimages%7Cdescription%7Cpageprops&generator=search&gsrlimit=3&gsrprop=redirecttitle&gsrsearch=morelike%3AWikimedia%20Apps%2FiOS%20FAQ&gsrwhat=text&exchars=256&exintro=&exlimit=3&explaintext=&pilicense=any&pilimit=3&piprop=thumbnail&pithumbsize=120
Request ID: XS8EAApAEMQAAFc-H9QAAACV

message
[{exception_id}] {exception_url}   ErrorException from line 589 of /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Searcher.php: PHP Warning: Attempted to serialize unserializable builtin class Closure$CirrusSearch\Profile\CompletionSear
trace
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Searcher.php(589): serialize(CirrusSearch\Search\FullTextResultsType)
#2 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Searcher.php(631): Closure$CirrusSearch\Searcher::searchMulti#3()
#3 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Searcher.php(333): CirrusSearch\Searcher->searchMulti(CirrusSearch\Search\MSearchRequests)
#4 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Searcher.php(184): CirrusSearch\Searcher->searchTextInternal(string)
#5 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/CirrusSearch.php(228): CirrusSearch\Searcher->search(CirrusSearch\Search\SearchQuery)
#6 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/CirrusSearch.php(201): CirrusSearch\CirrusSearch->searchTextReal(CirrusSearch\Search\SearchQuery)
#7 /srv/mediawiki/php-1.34.0-wmf.14/includes/search/SearchEngine.php(86): CirrusSearch\CirrusSearch->doSearchText(string)
#8 /srv/mediawiki/php-1.34.0-wmf.14/includes/search/SearchEngine.php(172): Closure$SearchEngine::searchText()
#9 /srv/mediawiki/php-1.34.0-wmf.14/includes/search/SearchEngine.php(87): SearchEngine->maybePaginate(Closure$SearchEngine::searchText;2897)
#10 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiQuerySearch.php(76): SearchEngine->searchText(string)
#11 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiQuerySearch.php(43): ApiQuerySearch->run(ApiPageSet)
#12 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiPageSet.php(176): ApiQuerySearch->executeGenerator(ApiPageSet)
#13 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiPageSet.php(140): ApiPageSet->executeInternal(boolean)
#14 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiQuery.php(235): ApiPageSet->execute()
#15 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiMain.php(1583): ApiQuery->execute()
#16 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiMain.php(531): ApiMain->executeAction()
#17 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#18 /srv/mediawiki/php-1.34.0-wmf.14/api.php(86): ApiMain->execute()
#19 /srv/mediawiki/w/api.php(3): include(string)
#20 {main}

Impact

To be determined

https://www.mediawiki.org//w/api.php?action=query&format=json&formatversion=2&prop=extracts%7Cpageimages%7Cdescription%7Cpageprops&generator=search&gsrlimit=3&gsrprop=redirecttitle&gsrsearch=morelike%3AWikimedia%20Apps%2FiOS%20FAQ%2Fja&gsrwhat=text&exchars=256&exintro=&exlimit=3&explaintext=&pilicense=any&pilimit=3&piprop=thumbnail&pithumbsize=120

Notes

Found this just before deploying to group 1. Treating this as a blocker until told otherwise.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2019, 1:08 PM
LarsWirzenius triaged this task as Unbreak Now! priority.Jul 17 2019, 1:09 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 17 2019, 1:09 PM
hashar added a subscriber: hashar.Jul 17 2019, 1:17 PM

Another related one Serialization of 'Closure' is not allowed. reqId XS8cxQpAIDAAAF2FuqQAAABB

That ones comes from PHP 7.2 while the others are from HHVM**. I guess because php 7.2 reports it earlier /differently.

https://www.mediawiki.org///w/api.php?action=query&format=json&formatversion=2&prop=extracts%7Cpageimages%7Cdescription%7Cpageprops&generator=search&gsrlimit=3&gsrprop=redirecttitle&gsrsearch=morelike%3AWikimedia%20Apps%2FiOS%20FAQ%2Fja&gsrwhat=text&exchars=256&exintro=&exlimit=3&explaintext=&pilicense=any&pilimit=3&piprop=thumbnail&pithumbsize=120

#0 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Searcher.php(589): serialize(CirrusSearch\Search\FullTextResultsType)
#1 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Searcher.php(631): CirrusSearch\Searcher->CirrusSearch\{closure}()
#2 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Searcher.php(333): CirrusSearch\Searcher->searchMulti(CirrusSearch\Search\MSearchRequests)
#3 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Searcher.php(184): CirrusSearch\Searcher->searchTextInternal(string)
#4 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/CirrusSearch.php(228): CirrusSearch\Searcher->search(CirrusSearch\Search\SearchQuery)
#5 /srv/mediawiki/php-1.34.0-wmf.14/extensions/CirrusSearch/includes/CirrusSearch.php(201): CirrusSearch\CirrusSearch->searchTextReal(CirrusSearch\Search\SearchQuery)
#6 /srv/mediawiki/php-1.34.0-wmf.14/includes/search/SearchEngine.php(86): CirrusSearch\CirrusSearch->doSearchText(string)
#7 /srv/mediawiki/php-1.34.0-wmf.14/includes/search/SearchEngine.php(172): SearchEngine->{closure}()
#8 /srv/mediawiki/php-1.34.0-wmf.14/includes/search/SearchEngine.php(87): SearchEngine->maybePaginate(Closure)
#9 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiQuerySearch.php(76): SearchEngine->searchText(string)
#10 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiQuerySearch.php(43): ApiQuerySearch->run(ApiPageSet)
#11 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiPageSet.php(176): ApiQuerySearch->executeGenerator(ApiPageSet)
#12 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiPageSet.php(140): ApiPageSet->executeInternal(boolean)
#13 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiQuery.php(235): ApiPageSet->execute()
#14 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiMain.php(1583): ApiQuery->execute()
#15 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiMain.php(531): ApiMain->executeAction()
#16 /srv/mediawiki/php-1.34.0-wmf.14/includes/api/ApiMain.php(502): ApiMain->executeActionWithErrorHandling()
#17 /srv/mediawiki/php-1.34.0-wmf.14/api.php(86): ApiMain->execute()
#18 /srv/mediawiki/w/api.php(3): require(string)
#19 {main}

Change 523923 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Do not serialize ResultsType instance

https://gerrit.wikimedia.org/r/523923

Change 523926 had a related patch set uploaded (by Hashar; owner: DCausse):
[mediawiki/extensions/CirrusSearch@wmf/1.34.0-wmf.14] Do not serialize ResultsType instance

https://gerrit.wikimedia.org/r/523926

Change 523926 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@wmf/1.34.0-wmf.14] Do not serialize ResultsType instance

https://gerrit.wikimedia.org/r/523926

Change 523923 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Do not serialize ResultsType instance

https://gerrit.wikimedia.org/r/523923

Restricted Application added a project: Discovery-Search. · View Herald TranscriptJul 17 2019, 1:49 PM

Mentioned in SAL (#wikimedia-operations) [2019-07-17T14:02:13Z] <liw@deploy1001> Synchronized php-1.34.0-wmf.14/extensions/CirrusSearch/includes/Searcher.php: Do not serialize ResultsType instance T228276 (duration: 00m 55s)

LarsWirzenius closed this task as Resolved.Jul 17 2019, 2:05 PM
LarsWirzenius claimed this task.

We've merged the change to the wmf.14 branch and closing this task. Thanks!

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:05 PM